Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_FlowSpec_Entry Class Reference

A helper entry class in the flow spec sequence passed to bind_devs. More...

`#include <FlowSpec_Entry.h>`

Inheritance diagram for TAO_FlowSpec_Entry:

[legend]
Collaboration diagram for TAO_FlowSpec_Entry:

[legend]
List of all members.

## Public Types
enum | Direction { TAO_AV_INVALID = -1, TAO_AV_DIR_IN = 0, TAO_AV_DIR_OUT = 1 }
enum | Role { TAO_AV_INVALID_ROLE = -1, TAO_AV_PRODUCER = 0, TAO_AV_CONSUMER = 1 }
## Public Methods
| TAO_FlowSpec_Entry (void)
| default constructor.
| TAO_FlowSpec_Entry (const char *flowname, const char *direction, const char *format_name, const char *flow_protocol, const char *carrier_protocol, ACE_Addr *fwd_address, ACE_Addr *control_address=0)
| constructor to construct an entry from the arguments.
| TAO_FlowSpec_Entry (const char *flowname, const char *direction, const char *format_name, const char *flow_protocol, const char *fwd_address)
virtual int | parse (const char *flowSpec_entry)=0
| construct the entry from a string specified by the flowSpec grammar.
virtual | ~TAO_FlowSpec_Entry (void)
| virtual destructor.
int | direction (void)
| accessor to the direction.
virtual Role | role (void)=0
void | role (Role role)
const char * | direction_str (void) const
| accessor to string version of direction .
const char * | flow_protocol_str (void) const
| accessor to the flow protocol string.
void | flow_protocol_str (const char *flow_protocol_str)
| set the flow protocol string.
ACE_Addr * | address (void)
| accessor to address of the carrier protocol.
ACE_Addr * | control_address (void)
void | address (ACE_Addr *address)
void | control_address (ACE_Addr *address)
const char * | address_str (void) const
| Address in string format i. hostname:port.
TAO_AV_Core::Protocol | carrier_protocol (void)
| accessor to carrier protocol i.e TCP,UDP,RTP/UDP.
const char * | carrier_protocol_str (void) const
| accessor to string version of carrier protocol.
const char * | format (void) const
| accessor to format to be used for this flow.
const char * | flowname (void) const
| accessor to name of this flow.
virtual const char * | entry_to_string (void)=0
| converts the entry to a string.
int | set_peer_addr (ACE_Addr *peer_addr)
ACE_Addr * | get_peer_addr (void)
int | set_peer_control_addr (ACE_Addr *peer_control_addr)
ACE_Addr * | get_peer_control_addr (void)
int | set_local_sec_addr (char **local_sec_addr, int size)
char ** | get_local_sec_addr (void)
int | num_local_sec_addrs (void)
int | set_peer_sec_addr (char **peer_sec_addr, int size)
char ** | get_peer_sec_addr (void)
int | num_peer_sec_addrs (void)
int | set_local_addr (ACE_Addr *local_addr)
ACE_Addr * | get_local_addr (void)
char * | get_local_addr_str (void)
int | set_local_control_addr (ACE_Addr *local_control_addr)
ACE_Addr * | get_local_control_addr (void)
char * | get_local_control_addr_str (void)
TAO_AV_Transport * | transport (void)
void | transport (TAO_AV_Transport *transport)
TAO_AV_Transport * | control_transport (void)
void | control_transport (TAO_AV_Transport *control_transport)
TAO_AV_Flow_Handler * | handler (void)
void | handler (TAO_AV_Flow_Handler *handler)
TAO_AV_Flow_Handler * | control_handler (void)
void | control_handler (TAO_AV_Flow_Handler *control_handler)
TAO_AV_Protocol_Object * | protocol_object (void)
void | protocol_object (TAO_AV_Protocol_Object *object)
TAO_AV_Protocol_Object * | control_protocol_object (void)
void | control_protocol_object (TAO_AV_Protocol_Object *object)
int | parse_address (const char *format_string, TAO_AV_Core::Flow_Component flow_component)
| sets the address for this flow.
int | is_multicast (void)
| returns true for a multicast address.
## Protected Methods
int | parse_flow_protocol_string (const char *flow_options_string)
| parses the flow protocol string with tokens separated by :
int | set_direction (const char *direction_string)
| sets the direction flag.
int | set_protocol (void)
| sets the protocol_ enum from the carrier_protocol_ string.
## Protected Attributes
ACE_Addr * | address_
| Addr information for the carrier protocol.
int | clean_up_address_
ACE_Addr * | control_address_
int | clean_up_control_address_
ACE_CString | address_str_
| Fwd Addr in string format i.e hostname:port.
ACE_CString | peer_address_str_
| Peer Addr in string format i.e hostname:port.
ACE_CString | format_
| format string.
Direction | direction_
| Direction of this flow.
ACE_CString | direction_str_
| string representation of the direction.
ACE_CString | flowname_
| name of this flow.
TAO_AV_Core::Protocol | protocol_
| name of the protocol used.
ACE_CString | carrier_protocol_
| carrier protocol string.
ACE_CString | flow_protocol_
| flow protocol string.
int | use_flow_protocol_
ACE_CString | entry_
| The flowspec entry;.
int | is_multicast_
ACE_Addr * | peer_addr_
char ** | local_sec_addr_
int | num_local_sec_addrs_
char ** | peer_sec_addr_
int | num_peer_sec_addrs_
ACE_Addr * | peer_control_addr_
ACE_Addr * | local_addr_
ACE_Addr * | local_control_addr_
TAO_AV_Transport * | transport_
TAO_AV_Transport * | control_transport_
TAO_AV_Flow_Handler * | handler_
TAO_AV_Flow_Handler * | control_handler_
TAO_AV_Protocol_Object * | protocol_object_
TAO_AV_Protocol_Object * | control_protocol_object_
Role | role_

## Detailed Description

A helper entry class in the flow spec sequence passed to bind_devs.

## Member Enumeration Documentation

enum TAO_FlowSpec_Entry::Direction

  | Enumeration values:
  TAO_AV_INVALID |
  TAO_AV_DIR_IN |
  TAO_AV_DIR_OUT |

enum TAO_FlowSpec_Entry::Role

  | Enumeration values:
  TAO_AV_INVALID_ROLE |
  TAO_AV_PRODUCER |
  TAO_AV_CONSUMER |

## Constructor & Destructor Documentation

TAO_FlowSpec_Entry::TAO_FlowSpec_Entry | ( | void |  | ) |

| default constructor.

TAO_FlowSpec_Entry::TAO_FlowSpec_Entry | ( | const char * | flowname,
|  | const char * | direction,
|  | const char * | format_name,
|  | const char * | flow_protocol,
|  | const char * | carrier_protocol,
|  | ACE_Addr * | fwd_address,
|  | ACE_Addr * | control_address = 0
| ) |

| constructor to construct an entry from the arguments.

TAO_FlowSpec_Entry::TAO_FlowSpec_Entry | ( | const char * | flowname,
|  | const char * | direction,
|  | const char * | format_name,
|  | const char * | flow_protocol,
|  | const char * | fwd_address
| ) |

TAO_FlowSpec_Entry::~TAO_FlowSpec_Entry | ( | void |  | ) | `[virtual]`

| virtual destructor.

## Member Function Documentation

ACE_INLINE void TAO_FlowSpec_Entry::address | ( | ACE_Addr * | address | ) |

ACE_INLINE ACE_Addr * TAO_FlowSpec_Entry::address | ( | void |  | ) |

| accessor to address of the carrier protocol.

ACE_INLINE const char * TAO_FlowSpec_Entry::address_str | ( | void |  | ) | const

| Address in string format i. hostname:port.

ACE_INLINE TAO_AV_Core::Protocol TAO_FlowSpec_Entry::carrier_protocol | ( | void |  | ) |

| accessor to carrier protocol i.e TCP,UDP,RTP/UDP.

ACE_INLINE const char * TAO_FlowSpec_Entry::carrier_protocol_str | ( | void |  | ) | const

| accessor to string version of carrier protocol.

ACE_INLINE void TAO_FlowSpec_Entry::control_address | ( | ACE_Addr * | address | ) |

ACE_INLINE ACE_Addr * TAO_FlowSpec_Entry::control_address | ( | void |  | ) |

ACE_INLINE void TAO_FlowSpec_Entry::control_handler | ( | TAO_AV_Flow_Handler * | control_handler | ) |

ACE_INLINE TAO_AV_Flow_Handler * TAO_FlowSpec_Entry::control_handler | ( | void |  | ) |

ACE_INLINE void TAO_FlowSpec_Entry::control_protocol_object | ( | TAO_AV_Protocol_Object * | object | ) |

ACE_INLINE TAO_AV_Protocol_Object * TAO_FlowSpec_Entry::control_protocol_object | ( | void |  | ) |

ACE_INLINE void TAO_FlowSpec_Entry::control_transport | ( | TAO_AV_Transport * | control_transport | ) |

ACE_INLINE TAO_AV_Transport * TAO_FlowSpec_Entry::control_transport | ( | void |  | ) |

ACE_INLINE int TAO_FlowSpec_Entry::direction | ( | void |  | ) |

| accessor to the direction.

ACE_INLINE const char * TAO_FlowSpec_Entry::direction_str | ( | void |  | ) | const

| accessor to string version of direction .

virtual const char* TAO_FlowSpec_Entry::entry_to_string | ( | void |  | ) | `[pure virtual]`

| converts the entry to a string. Implemented in TAO_Forward_FlowSpec_Entry, and TAO_Reverse_FlowSpec_Entry.

ACE_INLINE void TAO_FlowSpec_Entry::flow_protocol_str | ( | const char * | flow_protocol_str | ) |

| set the flow protocol string.

ACE_INLINE const char * TAO_FlowSpec_Entry::flow_protocol_str | ( | void |  | ) | const

| accessor to the flow protocol string.

ACE_INLINE const char * TAO_FlowSpec_Entry::flowname | ( | void |  | ) | const

| accessor to name of this flow.

ACE_INLINE const char * TAO_FlowSpec_Entry::format | ( | void |  | ) | const

| accessor to format to be used for this flow.

ACE_INLINE ACE_Addr * TAO_FlowSpec_Entry::get_local_addr | ( | void |  | ) |

char * TAO_FlowSpec_Entry::get_local_addr_str | ( | void |  | ) |

ACE_INLINE ACE_Addr * TAO_FlowSpec_Entry::get_local_control_addr | ( | void |  | ) |

char* TAO_FlowSpec_Entry::get_local_control_addr_str | ( | void |  | ) |

ACE_INLINE char ** TAO_FlowSpec_Entry::get_local_sec_addr | ( | void |  | ) |

ACE_INLINE ACE_Addr * TAO_FlowSpec_Entry::get_peer_addr | ( | void |  | ) |

ACE_Addr* TAO_FlowSpec_Entry::get_peer_control_addr | ( | void |  | ) |

ACE_INLINE char ** TAO_FlowSpec_Entry::get_peer_sec_addr | ( | void |  | ) |

ACE_INLINE void TAO_FlowSpec_Entry::handler | ( | TAO_AV_Flow_Handler * | handler | ) |

ACE_INLINE TAO_AV_Flow_Handler * TAO_FlowSpec_Entry::handler | ( | void |  | ) |

ACE_INLINE int TAO_FlowSpec_Entry::is_multicast | ( | void |  | ) |

| returns true for a multicast address.

ACE_INLINE int TAO_FlowSpec_Entry::num_local_sec_addrs | ( | void |  | ) |

ACE_INLINE int TAO_FlowSpec_Entry::num_peer_sec_addrs | ( | void |  | ) |

virtual int TAO_FlowSpec_Entry::parse | ( | const char * | flowSpec_entry | ) | `[pure virtual]`

| construct the entry from a string specified by the flowSpec grammar. Implemented in TAO_Forward_FlowSpec_Entry, and TAO_Reverse_FlowSpec_Entry.

int TAO_FlowSpec_Entry::parse_address | ( | const char * | format_string,
|  | TAO_AV_Core::Flow_Component | flow_component
| ) |

| sets the address for this flow.

ACE_INLINE int TAO_FlowSpec_Entry::parse_flow_protocol_string | ( | const char * | flow_options_string | ) | `[protected]`

| parses the flow protocol string with tokens separated by :

ACE_INLINE void TAO_FlowSpec_Entry::protocol_object | ( | TAO_AV_Protocol_Object * | object | ) |

ACE_INLINE TAO_AV_Protocol_Object * TAO_FlowSpec_Entry::protocol_object | ( | void |  | ) |

ACE_INLINE void TAO_FlowSpec_Entry::role | ( | Role | role | ) |

virtual Role TAO_FlowSpec_Entry::role | ( | void |  | ) | `[pure virtual]`

| Implemented in TAO_Forward_FlowSpec_Entry, and TAO_Reverse_FlowSpec_Entry.

ACE_INLINE int TAO_FlowSpec_Entry::set_direction | ( | const char * | direction_string | ) | `[protected]`

| sets the direction flag.

ACE_INLINE int TAO_FlowSpec_Entry::set_local_addr | ( | ACE_Addr * | local_addr | ) |

ACE_INLINE int TAO_FlowSpec_Entry::set_local_control_addr | ( | ACE_Addr * | local_control_addr | ) |

ACE_INLINE int TAO_FlowSpec_Entry::set_local_sec_addr | ( | char ** | local_sec_addr,
|  | int | size
| ) |

ACE_INLINE int TAO_FlowSpec_Entry::set_peer_addr | ( | ACE_Addr * | peer_addr | ) |

int TAO_FlowSpec_Entry::set_peer_control_addr | ( | ACE_Addr * | peer_control_addr | ) |

ACE_INLINE int TAO_FlowSpec_Entry::set_peer_sec_addr | ( | char ** | peer_sec_addr,
|  | int | size
| ) |

int TAO_FlowSpec_Entry::set_protocol | ( | void |  | ) | `[protected]`

| sets the protocol_ enum from the carrier_protocol_ string.

ACE_INLINE void TAO_FlowSpec_Entry::transport | ( | TAO_AV_Transport * | transport | ) |

ACE_INLINE TAO_AV_Transport * TAO_FlowSpec_Entry::transport | ( | void |  | ) |

## Member Data Documentation

ACE_Addr* TAO_FlowSpec_Entry::address_`[protected]`

| Addr information for the carrier protocol.

ACE_CString TAO_FlowSpec_Entry::address_str_`[protected]`

| Fwd Addr in string format i.e hostname:port.

ACE_CString TAO_FlowSpec_Entry::carrier_protocol_`[protected]`

| carrier protocol string.

int TAO_FlowSpec_Entry::clean_up_address_`[protected]`

int TAO_FlowSpec_Entry::clean_up_control_address_`[protected]`

ACE_Addr* TAO_FlowSpec_Entry::control_address_`[protected]`

TAO_AV_Flow_Handler* TAO_FlowSpec_Entry::control_handler_`[protected]`

TAO_AV_Protocol_Object* TAO_FlowSpec_Entry::control_protocol_object_`[protected]`

TAO_AV_Transport* TAO_FlowSpec_Entry::control_transport_`[protected]`

Direction TAO_FlowSpec_Entry::direction_`[protected]`

| Direction of this flow.

ACE_CString TAO_FlowSpec_Entry::direction_str_`[protected]`

| string representation of the direction.

ACE_CString TAO_FlowSpec_Entry::entry_`[protected]`

| The flowspec entry;.

ACE_CString TAO_FlowSpec_Entry::flow_protocol_`[protected]`

| flow protocol string.

ACE_CString TAO_FlowSpec_Entry::flowname_`[protected]`

| name of this flow.

ACE_CString TAO_FlowSpec_Entry::format_`[protected]`

| format string.

TAO_AV_Flow_Handler* TAO_FlowSpec_Entry::handler_`[protected]`

int TAO_FlowSpec_Entry::is_multicast_`[protected]`

ACE_Addr* TAO_FlowSpec_Entry::local_addr_`[protected]`

ACE_Addr* TAO_FlowSpec_Entry::local_control_addr_`[protected]`

char** TAO_FlowSpec_Entry::local_sec_addr_`[protected]`

int TAO_FlowSpec_Entry::num_local_sec_addrs_`[protected]`

int TAO_FlowSpec_Entry::num_peer_sec_addrs_`[protected]`

ACE_Addr* TAO_FlowSpec_Entry::peer_addr_`[protected]`

ACE_CString TAO_FlowSpec_Entry::peer_address_str_`[protected]`

| Peer Addr in string format i.e hostname:port.

ACE_Addr* TAO_FlowSpec_Entry::peer_control_addr_`[protected]`

char** TAO_FlowSpec_Entry::peer_sec_addr_`[protected]`

TAO_AV_Core::Protocol TAO_FlowSpec_Entry::protocol_`[protected]`

| name of the protocol used.

TAO_AV_Protocol_Object* TAO_FlowSpec_Entry::protocol_object_`[protected]`

Role TAO_FlowSpec_Entry::role_`[protected]`

TAO_AV_Transport* TAO_FlowSpec_Entry::transport_`[protected]`

int TAO_FlowSpec_Entry::use_flow_protocol_`[protected]`

The documentation for this class was generated from the following files:

- FlowSpec_Entry.h
- FlowSpec_Entry.cpp
- FlowSpec_Entry.i